freeslot(
	"MT_BURROBOT",
	"MT_BURROBOT_HIDING"
)

local Ch = CBW_Chaos
local Lib = CBW_Chaos_Library

//Chaos Mode compatibility
local info = mobjinfo[MT_BURROBOT_HIDING]
info.name = "Burrobot"
info.article = "a"
info.chaosmode = true
info.difficulty = 1
info.spawnweight = 7
info.spawnbiome = 'water'
info.spawntype = 'enemy'
info.spawnsubtype = 'land'
info.spawnfrequency = 1
info.painchance = 6
info.flashingtime = 24
info.seesound = sfx_shield
info.bumptype = 0
info.flincharmor = true
info.scale = FRACUNIT

addHook('MobjSpawn',function(mo)
	if CBW_Chaos_Library
		CBW_Chaos_Library.EnemyInit(mo)
	end
end,MT_BURROBOT)

addHook('MobjThinker',function(mo)
	if CBW_Chaos_Library
		CBW_Chaos_Library.MobjCheckWater(mo)
		if CBW_Chaos_Library.EnemyTic_Flashing(mo)
			return false
		end
	end
end,MT_BURROBOT)